function init()
	-- NAME & GRAPHIC --
	c.name = "Hive"
	c.gfxFile = "hive.png"

	-- STATS --
	c.mass = 120
	c.stat.thrust = 0
	c.stat.maxSpeed = 20
	c.stat.turnRate = 0
	c.stat.armour = 42

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.bio = 1
	c.add_item("point", 32)
	c.material = 2--gib debris
	c.setExplodeSound("explode_gib.wav")
	c.desc = "Inside, you hear the chittering of a thousand angry birds."
	c.behavior = "turret"
	c.ignoreShipCollisions = 1
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 6	--from map_icons.png, which frame to use.
	return 0
end